import unittest

import numpy as np
import pandas as pd
from numpy.random import default_rng
from pandas.testing import assert_series_equal

from features.esm import preprocess_esm


class EsmFeatures(unittest.TestCase):
    @classmethod
    def setUpClass(cls) -> None:
        cls.esm = pd.DataFrame(
            {"double_esm_user_answer_timestamp": [1622127860000, 1622129860000]}
        )

    def test_preprocess_esm(self):
        self.esm_processed = preprocess_esm(self.esm)
        print(self.esm_processed)
